Method: users.remove

Removes a list of users from the provided destinations.

This feature is only available to accounts on an allowlist.

HTTP request

POST https://datamanager.googleapis.com/v1/users:remove

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "destinations": [
    {
      object (Destination)
    }
  ],
  "userData": [
    {
      object (UserData)
    }
  ],
  "encryptionInfo": {
    object (EncryptionInfo)
  },
  "validateOnly": boolean,
  "encoding": enum (Encoding)
}
Fields
destinations[]

object (Destination)

Required. The list of possible ingestion destinations.

userData[]

object (UserData)

Required. The individual bits of UserData that act as keys for the users to remove.

encryptionInfo

object (EncryptionInfo)

Optional. Encryption information about encryption keys which are used to encrypt the data.

validateOnly

boolean

Optional. If true, the request is validated but not executed.

encoding

enum (Encoding)

Required. The encoding type of the user identifiers. For encrypted user identifiers, this only applies to the outer encoding.

Response body

Response from the RemoveUsersRequest.

If successful, the response body contains data with the following structure:

JSON representation
{
  "requestId": string
}
Fields
requestId

string

The generated request id of the Ingestion Request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/datamanager